# Uses of Class
org.apache.lucene.util.Version

Packages that use Version
Package
Description
org.apache.lucene.analysis
Text analysis.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util
Some utility classes.

## Uses of Version in org.apache.lucene.analysis

Fields in org.apache.lucene.analysis declared as Version
Modifier and Type
Field
Description
`protected final Version`
AbstractAnalysisFactory.`luceneMatchVersion`
the luceneVersion arg
Methods in org.apache.lucene.analysis that return Version
Modifier and Type
Method
Description
`final Version`
AbstractAnalysisFactory.`getLuceneMatchVersion()`

## Uses of Version in org.apache.lucene.index

Methods in org.apache.lucene.index that return Version
Modifier and Type
Method
Description
`Version`
SegmentInfos.`getCommitLuceneVersion()`
Returns which Lucene `Version` wrote this commit, or null if the version this index was written with did not directly record the version.
`Version`
SegmentInfos.`getMinSegmentLuceneVersion()`
Returns the version of the oldest segment, or null if there are no segments.
`Version`
SegmentInfo.`getMinVersion()`
Return the minimum Lucene version that contributed documents to this segment, or `null` if it is unknown.
`Version`
SegmentInfo.`getVersion()`
Returns the version of the code which wrote the segment.
`Version`
LeafMetaData.`minVersion()`
Returns the value of the `minVersion` record component.
Constructors in org.apache.lucene.index with parameters of type Version
Modifier
Constructor
Description
``
`LeafMetaData(int createdVersionMajor, Version minVersion, Sort sort, boolean hasBlocks)`
Expert: Sole constructor.
``
`SegmentInfo(Directory dir, Version version, Version minVersion, String name, int maxDoc, boolean isCompoundFile, boolean hasBlocks, Codec codec, Map<String,String> diagnostics, byte[] id, Map<String,String> attributes, Sort indexSort)`
Construct a new complete SegmentInfo instance from input.

## Uses of Version in org.apache.lucene.util

Fields in org.apache.lucene.util declared as Version
Modifier and Type
Field
Description
`static final Version`
Version.`LATEST`
WARNING: if you use this setting, and then upgrade to a newer release of Lucene, sizable changes may happen.
`static final Version`
Version.`LUCENE_10_0_0`
Match settings and bugs in Lucene's 10.0.0 release.
`static final Version`
Version.`LUCENE_9_0_0`
Deprecated.
(9.1.0) Use latest
`static final Version`
Version.`LUCENE_9_1_0`
Deprecated.
(9.2.0) Use latest
`static final Version`
Version.`LUCENE_9_10_0`
Deprecated.
(9.11.0) Use latest
`static final Version`
Version.`LUCENE_9_11_0`
Deprecated.
Use latest
`static final Version`
Version.`LUCENE_9_11_1`
Deprecated.
Use latest
`static final Version`
Version.`LUCENE_9_12_0`
Deprecated.
Use latest
`static final Version`
Version.`LUCENE_9_13_0`
Deprecated.
Use latest
`static final Version`
Version.`LUCENE_9_2_0`
Deprecated.
(9.3.0) Use latest
`static final Version`
Version.`LUCENE_9_3_0`
Deprecated.
(9.4.0) Use latest
`static final Version`
Version.`LUCENE_9_4_0`
Deprecated.
Use latest
`static final Version`
Version.`LUCENE_9_4_1`
Deprecated.
Use latest
`static final Version`
Version.`LUCENE_9_4_2`
Deprecated.
Use latest
`static final Version`
Version.`LUCENE_9_5_0`
Deprecated.
(9.6.0) Use latest
`static final Version`
Version.`LUCENE_9_6_0`
Deprecated.
(9.7.0) Use latest
`static final Version`
Version.`LUCENE_9_7_0`
Deprecated.
(9.8.0) Use latest
`static final Version`
Version.`LUCENE_9_8_0`
Deprecated.
(9.9.0) Use latest
`static final Version`
Version.`LUCENE_9_9_0`
Deprecated.
(9.9.1) Use latest
`static final Version`
Version.`LUCENE_9_9_1`
Deprecated.
(9.9.2) Use latest
`static final Version`
Version.`LUCENE_9_9_2`
Deprecated.
(9.10.0) Use latest
`static final Version`
Version.`LUCENE_CURRENT`
Deprecated.
Use `LATEST`
Methods in org.apache.lucene.util that return Version
Modifier and Type
Method
Description
`static Version`
Version.`fromBits(int major, int minor, int bugfix)`
Returns a new version based on raw numbers
`static Version`
Version.`parse(String version)`
Parse a version number of the form `"major.minor.bugfix.prerelease"`.
`static Version`
Version.`parseLeniently(String version)`
Parse the given version number as a constant or dot based version.
Methods in org.apache.lucene.util with parameters of type Version
Modifier and Type
Method
Description
`boolean`
Version.`onOrAfter(Version other)`
Returns true if this version is the same or after the version from the argument.